﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Data.ConvertPointStore>

@(Html.Grid(Model).Named("allStore").Columns(columns =>
{
    columns.Add(x => x.StoreName)
        .Titled("Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.StoreName)
        .Filterable(true);

    columns.Add(x => x.IsDeleted)
        .Titled("IsDeleted")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => RenderBoolean(x.IsDeleted))
        .Filterable(true);

    columns.Add(x => x.CreatedDate)
        .Titled("Created Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
        .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.ConvertPointStore.Edit(x.ID))));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
        .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.ConvertPointStore.Delete(x.ID)), x.StoreName));
})
.Filterable()
.Sortable()
.WithPaging(5))

@helper RenderBoolean(bool boolValue)
{
    if (boolValue == true)
    {
        <span>True</span>
    }
    else
    {
        <span>False</span>
    }
}
